.big-btn {
    width: $burger-dimensions;
    height: $burger-dimensions;
    position: relative;
    border: none;
    background-color: transparent;

    display: flex;
    justify-content: center;
    align-items: center;
    
    transition: border-color 0.2s ease-out;

    &:hover {
        border-color: darken($color-accent-primary, 10%);
        cursor: pointer;

        .big-btn__bg {
            background-color: darken($color-accent-primary, 10%);
        }

        &::after {
            background-color: darken($color-accent-primary, 10%);
        }
    }

    &:focus {
        outline: none;
    }

    &::after {
        content: '';
        display: block;
        width: 100%;
        height: 1px;
        background-color: $color-accent-primary;
        position: absolute;
        top: 100%;
        left: 0;
    }
}

.big-btn__bg {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    
    background-color: $color-accent-primary;
    transition: background-color 0.2s ease-out;
}

.menu-toggle__arrow {
    position: relative;
    z-index: 2;
}